On Nov 1, 2007, at 14:17 , Jim Fulton wrote:
We generally encourage not to use the system Python in everything we ship (Windows, Mac and Unified installers all ship their own Python)

Cool. Note that I think this problem will get worse as system packages include more and more of the packages we use. I read yesterday that the Python in Mac OS X Leopard includes zope.interface.

Yes, that's true. It's included (version 3.3.0) because Twisted needs it, which is also part of the standard OS X 10.5 Python installation.

From what I heard Twisted is used for the OS X Server CalDAV service. From a sysadmin view I'd be afraid that careless use of easy_install for the system Python has the potential to break such built-in OS X applications. Another reason not to use the system Python.


Zope-Dev maillist  -  Zope-Dev@zope.org
**  No cross posts or HTML encoding!  **
(Related lists - http://mail.zope.org/mailman/listinfo/zope-announce
http://mail.zope.org/mailman/listinfo/zope )

Reply via email to